GET/Organizations/{orgId}/procurement-resources/{procurementResourceId}
Returns one resource need in the same shape as a row of Organizations_GetResourceNeeds. The
procurementResourceId comes from that list, and the need must belong to one of the organization's active
events. Requires organization basic access.
Path Parameters
| Field | Type | Required | Description |
|---|
| orgId | uuid | Required | |
| procurementResourceId | uuid | Required | |
Response
| Field | Type | Description |
|---|
| id | uuid | |
| procurement | GetOrganizationProcurementResourcesResponseProcurementInfo | |
| event | GetOrganizationProcurementResourcesResponseEventInfo | |
| type | GetOrganizationProcurementResourcesResponseTypeInfo | |
| owner | uuid| null | |
| parentProcurementResourceId | uuid| null | |
| componentId | uuid| null | |
| componentLabel | string| null | |
| parentLabel | string| null | |
| isCompositeParent | boolean | |
| compositeCoverage | CompositeCoverageInfo | |
| neededQuantity | number | |
| securedQuantity | number | |
| awaitingQuantity | number | |
| tentativeQuantity | number | |
| coverageStatus | string| null | |
| startDateTime | date-time| null | |
| endDateTime | date-time| null | |
| estimatedCost | number | |
| status | string| null | |
| variant | GetOrganizationProcurementResourcesResponseVariantInfo | |
| properties | GetOrganizationProcurementResourcesResponsePropertyInfo[]| null | |
| scheduleBlocks | GetOrganizationProcurementResourcesResponseBlockInfo[]| null | |
| orderLines | GetOrganizationProcurementResourcesResponseOrderLineInfo[]| null | |
| reservations | GetOrganizationProcurementResourcesResponseReservationInfo[]| null | |
GetOrganizationProcurementResourcesResponseProcurementInfo
| Field | Type | Description |
|---|
| id | uuid | |
| name | string| null | |
GetOrganizationProcurementResourcesResponseEventInfo
| Field | Type | Description |
|---|
| id | uuid | |
| name | string| null | |
GetOrganizationProcurementResourcesResponseTypeInfo
| Field | Type | Description |
|---|
| id | uuid | |
| orgId | uuid| null | |
| name | string| null | |
| trackingType | string| null | |
| isScheduled | boolean | |
| icon | string| null | |
| color | string| null | |
CompositeCoverageInfo
| Field | Type | Description |
|---|
| fulfilledUnits | number | |
| openUnits | number | |
| isFilled | boolean | |
| status | string| null | |
| perComponent | CompositeCoverageInfoComponentInfo[]| null | |
GetOrganizationProcurementResourcesResponseVariantInfo
| Field | Type | Description |
|---|
| id | uuid | |
| orgId | uuid| null | |
| name | string| null | |
| isBase | boolean | |
GetOrganizationProcurementResourcesResponsePropertyInfo
| Field | Type | Description |
|---|
| id | uuid | |
| resourceAttributeId | uuid | |
| label | string| null | |
| responseType | string| null | |
| value | string| null | |
| responseOptions | GetOrganizationProcurementResourcesResponsePropertyOptionInfo[]| null | |
GetOrganizationProcurementResourcesResponseBlockInfo
| Field | Type | Description |
|---|
| id | uuid | |
| name | string| null | |
| startDateTime | date-time | |
| endDateTime | date-time | |
GetOrganizationProcurementResourcesResponseOrderLineInfo
| Field | Type | Description |
|---|
| id | uuid | |
| quantity | number | |
| order | GetOrganizationProcurementResourcesResponseOrderInfo | |
GetOrganizationProcurementResourcesResponseReservationInfo
| Field | Type | Description |
|---|
| id | uuid | |
| status | string| null | |
| settlement | string| null | |
| quantity | number| null | |
| resourceId | uuid| null | |
| orgResourceId | uuid| null | |
| orgCrewId | uuid| null | |
| hasScheduleBlocks | boolean | |
| spans | GetOrganizationProcurementResourcesResponseSpanInfo[]| null | |
CompositeCoverageInfoComponentInfo
| Field | Type | Description |
|---|
| childId | uuid | |
| componentId | uuid| null | |
| label | string| null | |
| neededQuantity | number | |
| securedQuantity | number | |
| awaitingQuantity | number | |
| tentativeQuantity | number | |
| status | string| null | |
GetOrganizationProcurementResourcesResponsePropertyOptionInfo
| Field | Type | Description |
|---|
| id | uuid | |
| label | string| null | |
| type | string| null | |
| value | string| null | |
GetOrganizationProcurementResourcesResponseOrderInfo
| Field | Type | Description |
|---|
| id | uuid | |
| name | string| null | |
| source | string| null | |
| declaredStatus | string| null | |
| derivedStatus | string| null | |
GetOrganizationProcurementResourcesResponseSpanInfo
| Field | Type | Description |
|---|
| start | date-time | |
| end | date-time | |